import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'intasend_flutter_platform_interface.dart';

/// An implementation of [IntasendFlutterPlatform] that uses method channels.
class MethodChannelIntasendFlutter extends IntasendFlutterPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('intasend_flutter');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
